Subject: Re: bug#2309: Saving under Windows (sometimes) causes Emacs to freeze and allocate a lot of memory - Emacs 22.3.1

From: Jason Rumney <[email-masked]>
Date: Fri, 13 Feb 2009 21:42:00 +0800

tags 2309 +moreinfo

Fredrik Hellman wrote:
> When I start emacs, open a file in a buffer, do some changes in it and
> then saves the file with C-x C-s Emacs freezes and I can see how the
> memory allocated by Emacs slowly increases until it after a few
> minutes wakes up again and says in a separate buffer:
>
> Emergency (alloc): Warning: past 95% of memory limit
>
> This problem doesn't always occur on saves.
>
> I don't know what more to tell, but if you want more details about
> something, feel free to ask me.
>   

Is there any pattern to when this occurs? Particular file types? Files 
saved in a particular location?

Try setting debug-on-quit to t (you can toggle this variable from the 
Options menu), then when you notice the problem, press C-g and see if 
you get thrown into the lisp debugger.